> For the complete documentation index, see [llms.txt](https://docs.groundcover.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groundcover.com/collect-data/byoc/setup-byoc-with-aws/eks-add-on.md).

# EKS add-on

**groundcover's EKS add-on** is the easiest way to deploy the groundcover eBPF sensor on your EKS cluster, and connect it directly to your [BYOC observability data plane](/collect-data/byoc.md).

## Enable Add-on

### Namespace

Create groundcover namespace on your EKS cluster

```bash
kubectl create ns groundcover
```

### API Key Secret

Create groundcover API-key secret on your EKS cluster

```bash
# Install the groundcover CLI
sh -c "$(curl -fsSL <https://groundcover.com/install.sh>)"

# Login to your groundcover account
groundcover auth login

# Fetch your api key
groundcover auth print-api-key

# Create secret
API_KEY=<paste-api-key>
kubectl create secret generic api-key \
    -n groundcover \
    --from-literal API_KEY="${API_KEY}"
```

### Configuration Values

Create the following `agent-values.yaml` file and fill in the required values accordingly.

```yaml
global:
    ingress:
        site: <byoc-endpoint>
```

{% hint style="warning" %}
Your BYOC endpoint can be found in the [ingestion keys tab](https://app.groundcover.com/settings?selectedTab=ingestion-keys)
{% endhint %}

### Create Add-on

Run the following command to enable the groundcover agent add-on for your Amazon EKS cluster

<pre class="language-bash"><code class="lang-bash"><strong>aws eks create-addon \
</strong>    --region &#x3C;region> \
    --cluster-name &#x3C;cluster-name> \
    --addon-name groundcover_agent \
    --configuration-values 'file://agent-values.yaml'
</code></pre>

## Disable Add-on

Run the following command to disable the groundcover agent add-on for your Amazon EKS cluster.

```
aws eks delete-addon \
    --region <region> \
    --cluster-name <cluster-name> \
    --addon-name groundcover_agent
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.groundcover.com/collect-data/byoc/setup-byoc-with-aws/eks-add-on.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
